package pw.hamzantal.shopreborn

import org.bukkit.entity.Player
import org.bukkit.event.inventory.InventoryClickEvent

fun baseListener(e: InventoryClickEvent) {
    if (e.inventory == Configurations.main.inventory) {
        mainClick(e)
        return
    }
}

fun mainClick(e: InventoryClickEvent) {
    e.isCancelled = true
    if (e.rawSlot > e.inventory.size) return

    val main = Configurations.main
    val p = e.whoClicked as Player

    val block = main.blocks.firstOrNull { it.slot == e.slot } ?: return
    block.commands.forEach {
        p.performCommand(it)
    }
}